Bug 218360 - Review Request: evolution-remove-duplicates - Evolution plugin for removing duplicate mails
Review Request: evolution-remove-duplicates - Evolution plugin for removing d...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-04 15:45 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-10 22:42:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-12-04 15:45:50 EST
Spec URL: http://hircus.org/fedora/evolution-plugin-remove-duplicates/evolution-plugin-remove-duplicates.spec
SRPM URL: http://hircus.org/fedora/evolution-plugin-remove-duplicates/evolution-plugin-remove-duplicates-0.0.2-1.src.rpm
Description:
A plugin that checks selected e-mails for duplicates and remove them.
Comment 1 Parag AN(पराग) 2006-12-04 23:59:53 EST
You need to Add perl-XML-Parser as BR in SPEC.
Comment 2 Michel Alexandre Salim 2006-12-05 13:26:08 EST
Thanks. Here are the updated files:

Spec URL:
http://hircus.org/fedora/evolution-plugin-remove-duplicates/evolution-plugin-remove-duplicates.spec
SRPM URL:
http://hircus.org/fedora/evolution-plugin-remove-duplicates/evolution-plugin-remove-duplicates-0.0.2-2.src.rpm

I normally test them using mock, but sometimes (like now) mock fails. Here on
x86_64 it's saying it could not find evolution-plugin-2.8 (despite me manually
setting PKG_CONFIG_PATH). Normally the package builds fine on the build server,
though.

Testing now with a 32-bit mock buildroot.
Comment 3 Michel Alexandre Salim 2006-12-06 15:25:22 EST
Same problem with 32-bit mock, it's probably a mock-specific problem that can be
ignored (evolution-devel and pkgconfig is installed, so that test should *not* fail)

Incidentally, I'm going to rename this to evolution-remove-duplicates, since the
other evolution plugin I'm aware of, that adds bogofilter support, is just
called evolution-bogofilter.
Comment 4 Parag AN(पराग) 2006-12-07 02:46:19 EST
waiting for new modications.
Yes package is not building in mock.
It should build in mock to proceed Review.
Comment 5 Michel Alexandre Salim 2006-12-07 22:51:57 EST
http://hircus.org/fedora/evolution-plugin-remove-duplicates/evolution-remove-duplicates.spec
http://hircus.org/fedora/evolution-plugin-remove-duplicates/evolution-remove-duplicates-0.0.2-3.src.rpm

Rex Dieter pointed out that the evolution-plugin-2.8.pc in turn depends on
another .pc whose package was not required by evolution-devel . I've added a
temporary BR on e-d-s-devel for now, that can be removed once that packaging bug
is fixed.
Comment 6 Parag AN(पराग) 2006-12-08 20:54:42 EST
Nice. Mock build is successfully building package.
working fine.
Will post review later on.
Comment 7 Parag AN(पराग) 2006-12-10 02:41:33 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
5ed885b9dd6bc69df2978be8cc6dc089  remove-duplicates-plugin-0.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
APPROVED.
Comment 8 Kevin Fenzi 2006-12-21 22:19:46 EST
Changed summary for tracking purposes. 

Note You need to log in before you can comment on or make changes to this bug.